summaryrefslogtreecommitdiffstats
path: root/tests/imuxsock_traillf_root.sh
diff options
context:
space:
mode:
authorRainer Gerhards <rgerhards@adiscon.com>2011-02-21 14:08:37 +0100
committerRainer Gerhards <rgerhards@adiscon.com>2011-02-21 14:08:37 +0100
commit36c1649fc187090bfd5af2c48bb44ce25a0fdef6 (patch)
tree6a6fa53c795f46fa2cf5921a2aabf14cbfa8dcd5 /tests/imuxsock_traillf_root.sh
parent314d3532109cca574aabc3e960586f499966e868 (diff)
downloadrsyslog-36c1649fc187090bfd5af2c48bb44ce25a0fdef6.tar.gz
rsyslog-36c1649fc187090bfd5af2c48bb44ce25a0fdef6.tar.xz
rsyslog-36c1649fc187090bfd5af2c48bb44ce25a0fdef6.zip
improved testbench, added tests for imuxsock
Diffstat (limited to 'tests/imuxsock_traillf_root.sh')
-rwxr-xr-xtests/imuxsock_traillf_root.sh18
1 files changed, 18 insertions, 0 deletions
diff --git a/tests/imuxsock_traillf_root.sh b/tests/imuxsock_traillf_root.sh
new file mode 100755
index 00000000..c838e0bd
--- /dev/null
+++ b/tests/imuxsock_traillf_root.sh
@@ -0,0 +1,18 @@
+# note: we must be root and no other syslogd running in order to
+# carry out this test
+echo \[imuxsock_traillf_root.sh\]: test trailing LF handling in imuxsock
+echo This test must be run as root with no other active syslogd
+source $srcdir/diag.sh init
+source $srcdir/diag.sh startup imuxsock_traillf_root.conf
+# send a message with trailing LF
+$srcdir/syslog_lf
+# the sleep below is needed to prevent too-early termination of rsyslogd
+$srcdir/msleep 100
+source $srcdir/diag.sh shutdown-when-empty # shut down rsyslogd when done processing messages
+source $srcdir/diag.sh wait-shutdown # we need to wait until rsyslogd is finished!
+cmp rsyslog.out.log $srcdir/resultdata/imuxsock_traillf.log
+if [ ! $? -eq 0 ]; then
+echo "imuxsock_traillf_root.sh failed"
+exit 1
+fi;
+source $srcdir/diag.sh exit